Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class Colorref

    java.lang.Object
      org.apache.poi.hwpf.model.Colorref

All Implemented Interfaces:
  java.lang.Cloneable

    public class Colorref

extends java.lang.Object
implements java.lang.Cloneable

24-bit color structure

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)

Constructor Summary
`Colorref()`
`Colorref(byte[] data, int offset)`
`Colorref(int value)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`int` | `getValue()`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`void` | `serialize(byte[] data, int offset)`
`void` | `setValue(int value)`
`byte[]` | `toByteArray()`
`java.lang.String` | `toString()`
`static Colorref` | `valueOfIco(int ico)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Colorref

    public Colorref()

### Colorref

    public Colorref(byte[] data,
                    int offset)

### Colorref

    public Colorref(int value)

Method Detail

### valueOfIco

    public static Colorref valueOfIco(int ico)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getValue

    public int getValue()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

### serialize

    public void serialize(byte[] data,
                          int offset)

### setValue

    public void setValue(int value)

### toByteArray

    public byte[] toByteArray()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD